Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.storage
Class BalancedFileSystemStorage

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.storage.BalancedFileSystemStorage

All Implemented Interfaces:
  IStorageControler

    public class BalancedFileSystemStorage

extends java.lang.Object
implements IStorageControler

BalancedFileSystemStorage
Implémentation d'un IStorageControler avec un stockage des documents sur
un système de fichier physique local (éventuellement partagé)
Chaque intranet se voit attribuer un dossier dans lequel des dossiers sont créés
afin qu'aucun dossier ne contienne plus d'un nombre déterminé de documents
(c)Copyright ESup-Portail 2004

Version:
  $Revision: 1.1.2.5 $
Author:
  Mathieu Larchet

Constructor Summary
`BalancedFileSystemStorage()` Constructeur

Method Summary
`void` | `createIntranet(Intranet intranet)` Création d'un intranet
`void` | `destroyDocument(java.lang.String intranet, Document doc)` Suppression d'un document
`void` | `destroyIntranet(java.lang.String intranet)` Suppression d'un intranet et de tous ses documents
`java.io.InputStream` | `loadDocument(java.lang.String intranet, Document doc)` Lecture d'un document
`void` | `saveDocument(java.lang.String intranet, Document doc, java.io.InputStream in)` Sauvegarde d'un document
`void` | `setParameters(java.util.Map parameters)` Liste des paramètres spécifiques à l'implémentation du IStorageControler Ici deux paramètres obligatoires : - size qui contient le nombre maximal de documents par dossier - path qui indique le chemin où créer les intranets
`void` | `updateDocument(java.lang.String intranet, Document doc, java.io.InputStream in)` Mise à jour d'un document

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BalancedFileSystemStorage

    public BalancedFileSystemStorage()

  Constructeur

Method Detail

### saveDocument

    public void saveDocument(java.lang.String intranet,
                             Document doc,
                             java.io.InputStream in)
                      throws StorageException

  Sauvegarde d'un document

  Specified by:
    `saveDocument` in interface `IStorageControler`
  Parameters:
    `intranet` - l'identifiant de l'intranet
    `doc` - le document
    `in` - le flux de lecture vers le contenu du document
  Throws:
    `StorageException`

### loadDocument

    public java.io.InputStream loadDocument(java.lang.String intranet,
                                            Document doc)
                                     throws StorageException

  Lecture d'un document

  Specified by:
    `loadDocument` in interface `IStorageControler`
  Parameters:
    `intranet` - l'identifiant de l'intranet
    `doc` - le document
  Returns:
    le flux de lecture vers le document stocké
  Throws:
    `StorageException`

### updateDocument

    public void updateDocument(java.lang.String intranet,
                               Document doc,
                               java.io.InputStream in)
                        throws StorageException

  Mise à jour d'un document

  Specified by:
    `updateDocument` in interface `IStorageControler`
  Parameters:
    `intranet` - l'identifiant de l'intranet
    `doc` - le document
    `in` - le flux de lecture vers le nouveau contenu, null si pas de mise à jour du contenu
  Throws:
    `StorageException`

### destroyDocument

    public void destroyDocument(java.lang.String intranet,
                                Document doc)
                         throws StorageException

  Suppression d'un document

  Specified by:
    `destroyDocument` in interface `IStorageControler`
  Parameters:
    `intranet` - l'identifiant de l'intranet
    `doc` - le document
  Throws:
    `StorageException`

### createIntranet

    public void createIntranet(Intranet intranet)
                        throws StorageException

  Création d'un intranet

  Specified by:
    `createIntranet` in interface `IStorageControler`
  Parameters:
    `intranet` - l'intranet à créer
  Throws:
    `StorageException`

### destroyIntranet

    public void destroyIntranet(java.lang.String intranet)
                         throws StorageException

  Suppression d'un intranet et de tous ses documents

  Specified by:
    `destroyIntranet` in interface `IStorageControler`
  Parameters:
    `intranet` - l'identifiant de l'intranet
  Throws:
    `StorageException`

### setParameters

    public void setParameters(java.util.Map parameters)

  Liste des paramètres spécifiques à l'implémentation du IStorageControler
  Ici deux paramètres obligatoires :
  - size qui contient le nombre maximal de documents par dossier
  - path qui indique le chemin où créer les intranets

  Specified by:
    `setParameters` in interface `IStorageControler`
  Parameters:
    `parameters` - les paramètres

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD